# hey Emacs, its -*- rpm-spec -*-
# $Id: php-fribidi,v 1.12 2002/11/13 03:05:37 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001-2002 Alexander Bokovoy <ab@altlinux.ru>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################
#  <Configuration>
#_/---------------\____________________________________________
# Package should be added into mod_php and/or console php?
# Some modules can be used under both, others (like php_gtk
# or midgard) are not.
%define 	use_mod_php	1
%define		use_con_php	1
#
# Package name without php prefix
%define		package_name	fribidi
###############################################################

Name:	 	php-%package_name
Version:	4.3.0
Release:	alt0.cvs20030207
Group:		System/Servers
Requires:	libfribidi
License:	PHP Licence
Prereq:		php-common >= 1:%version-%release
BuildRequires:  php-devel >= 1:%version-%release, libfribidi-devel, fribidi > 0.9.0, glib-devel
Summary:	Fribidi support for PHP4
Packager: 	Alexey Gladkov <legion@altlinux.ru>
%add_serial php-devel

Patch:	php-fribidi.patch
Patch1:  fribidi.patch
Patch2: fribidi.c.patch

%description
The php-%package_name includes a dynamic shared object (DSO) that adds
bi-directional scripting (eg hewbrew, arabic) support for PHP4. Fribidi
allows you to write text always in logical order and be sure that
Fribidi engine correctly recognizes and displays script in a right way. PHP4
is an HTML-embedded scripting language. If you need Fribidi support for
PHP4 applications, you will need to install this package in addition to
the php package.

%prep
%setup -T -c
cp -pr /usr/src/php-devel/extensions/%package_name/* .
#%%patch -p2
%patch1 -p1
#%%patch2 -p0

%build
phpize

BUILD_HAVE=`echo %package_name | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="$RPM_OPT_FLAGS -fPIC -L%{_libdir}"
#" -DHAVE_${BUILD_HAVE}=1 -DCOMPILE_DL_${BUILD_HAVE}=1"; 
export CFLAGS  

%configure --with-%package_name=/usr
%php_make

%install
%php_make install

%clean

%files
%{_libdir}/php/extensions/*
%doc CREDITS

%post
%php_postin

%preun
%php_preun

%postun
%php_postun

%changelog
* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes 

* Wed Nov 13 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt5
- Fix permissions

* Sun Nov 10 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt4
- Rebuild with gcc 3.2.1
- Use macros from php-common to simplify spec file

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows fixes
- post install script fixed

* Wed Feb 27 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt1
- PHP 4.1.2
- Spec clean-ups

* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes

* Tue Jun 05 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.3RC2
- Release candidate 2 for PHP 4.0.6
- Curl extension rolled back to RC1 due postponed integration of autoconf 2.50

* Mon May 28 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.2RC1
- Fix for build environment rolled back due final fix in PHP4 itself

* Tue May 22 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.1RC1
- PHP 4.0.6 Release Candidate 1
- Dependencies fixed because curl >= 7.7.3-alt2 is required now

* Tue May 08 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.5-alt1
- PHP 4.0.5 release

* Thu Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC6-alt1
- ALTification
- Last release candidate for 4.0.5
- SPEC file changes:
    + Reference to PHP source removed, php-devel is used to acquire sources of module 
    + locale-specific info unset during installation
    + nosrc -> src because NoSource tag cannot be used without corresponding Source one

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl1
- First stable build

* Thu Mar 15 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.4
- Rebuild with fixed version of PHP4

* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.3
- Fixed:
    + Build process for self-contained shared modules in PHP is generally broken,
      fixed by automatically adding -DHAVE_{MODULE}=1 -DCOMPILE_DL_{MODULE}=1 to
      configure
* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.2
- More enhancements in SPEC file:
    + Automatically gather PHP version, so no need to synchronize
      spec file's Version: field when new version of PHP is installed

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.1
- Created new generalized spec file for nosrc.rpm for PHP modules
- Added ability to tune module installation for Console/Apache-based PHP
  Some modules cannot work in Web-server environment (php_gtk), some --
  in Console mode (midgard), some will be happy in both environments
  
